@Generated(value="org.apache.camel.maven.packaging.EndpointDslMojo") public interface DigitalOceanEndpointBuilderFactory
| Modifier and Type | Interface and Description |
|---|---|
static interface |
DigitalOceanEndpointBuilderFactory.AdvancedDigitalOceanEndpointBuilder
Advanced builder for endpoint for the DigitalOcean component.
|
static interface |
DigitalOceanEndpointBuilderFactory.DigitalOceanBuilders |
static interface |
DigitalOceanEndpointBuilderFactory.DigitalOceanEndpointBuilder
Builder for endpoint for the DigitalOcean component.
|
static class |
DigitalOceanEndpointBuilderFactory.DigitalOceanResources
Proxy enum for
org.apache.camel.component.digitalocean.constants.DigitalOceanResources enum. |
| Modifier and Type | Method and Description |
|---|---|
static DigitalOceanEndpointBuilderFactory.DigitalOceanEndpointBuilder |
digitalocean(String path)
DigitalOcean (camel-digitalocean)
The DigitalOcean component allows you to manage Droplets and resources
within the DigitalOcean cloud.
|
static DigitalOceanEndpointBuilderFactory.DigitalOceanEndpointBuilder digitalocean(String path)
digitalocean:operation
Path parameter: operation
The operation to perform to the given resource.
The value can be one of: create, update, delete, list, ownList, get,
listBackups, listActions, listNeighbors, listSnapshots, listKernels,
listAllNeighbors, enableBackups, disableBackups, reboot, powerCycle,
shutdown, powerOn, powerOff, restore, resetPassword, resize, rebuild,
rename, changeKernel, enableIpv6, enablePrivateNetworking, takeSnapshot,
transfer, convert, attach, detach, assign, unassign, tag, untagApache Camel